Bug 8608 - Нет зависимости на python-module-pycairo
: Нет зависимости на python-module-pycairo
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-pygtk)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-07 15:37 by
Modified: 2005-12-19 17:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-07 15:37:20
При отсутствии установленного python-module-pycairo комманда
 $ python -c "import gtk"
выдаёт:
Traceback (most recent call last):
  File "<string>", line 1, in ?
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in
?
    from _gtk import *
ImportError: No module named cairo

Зависимости же на этот пакет у pygtk не наблюдается.

Actual Results:  
$ python -c "import gtk"
Traceback (most recent call last):
  File "<string>", line 1, in ?
  File "/usr/lib/python2.4/site-packages/gtk-2.0/gtk/__init__.py", line 37, in
?
    from _gtk import *
ImportError: No module named cairo

Expected Results:  
$ python -c "import gtk"
$
------- Comment #1 From 2005-12-08 20:57:06 -------
Спасибо. Не понял, почему зависимость не нашлась автоматом. 
Fixed in python-module-pygtk-2.8.2-alt2.src.rpm 
------- Comment #2 From 2005-12-08 20:57:28 -------
Отправлено в Incoming